<ng-container *ngIf="!!group">
  <h3 class="group-data-label" *ngIf="!child">{{ group.label }}</h3>
  <h4 class="group-data-child-label" *ngIf="child">{{ group.label }}</h4>

  <ng-container *ngIf="!group.multiple; else multipleGroups">
    <ng-container *ngIf="!!group.groups && !!group.groups.length; else values">
      <hr>
      <bail-group-data [group]="innerGroup" [child]="child" *ngFor="let innerGroup of group.groups"></bail-group-data>
    </ng-container>
  </ng-container>

  <ng-template #values>
    <ng-container *ngIf="!!group.values && !!group.values.length">
      <bail-group-values [values]="group.values"></bail-group-values>
    </ng-container>
  </ng-template>

  <ng-template #multipleGroups>
    <ng-container *ngIf="!!group.groups && !!group.groups.length; else multipleValues">
      <ng-container *ngFor="let data of group.groups">
        <hr>
        <bail-group-data [group]="innerGroup" [child]="true" *ngFor="let innerGroup of data"></bail-group-data>
      </ng-container>
    </ng-container>
  </ng-template>

  <ng-template #multipleValues>
    <ng-container *ngIf="!!group.values && !!group.values.length">
      <ng-container *ngFor="let data of group.values">
        <bail-group-values [values]="values" *ngFor="let values of data"></bail-group-values>
      </ng-container>
    </ng-container>
  </ng-template>
</ng-container>
